Name:		slib
Version:	2d6
Release:	alt1
Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	platform independent library for scheme
License:	distributable, see individual files for copyright
Group:		Development/Scheme
BuildArch:	noarch
Obsoletes:	umb-scheme
BuildPreReq:	guile plt2

URL:		http://swissnet.ai.mit.edu/~jaffer/SLIB.html
Source0:	%name%version.tar.bz2
Patch0:		%name-2d6-umbscheme.patch

%description
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accomodate packages specific to a site,
implementation, user, or directory.

%package guile
Summary:	guile support for slib
Group:		Development/Scheme
Requires:	%name = %version-%release

%description guile
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accomodate packages specific to a site,
implementation, user, or directory.

This package provides files necessary to use slib with guile

%package plt2
Summary:	mzscheme support for slib
Group:		Development/Scheme
Requires:	plt2
Requires:	%name = %version-%release

%description plt2
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accomodate packages specific to a site,
implementation, user, or directory.

This package provides files necessary to use slib with mzscheme

%package plt1
Summary:	mzscheme support for slib
Group:		Development/Scheme
Requires:	plt1
Requires:	%name = %version-%release

%description plt1
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accomodate packages specific to a site,
implementation, user, or directory.

This package provides files necessary to use slib with mzscheme

%prep
%setup -q -n slib
%patch -p1

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/%name
cp -r . $RPM_BUILD_ROOT%_datadir/%name
mkdir -p $RPM_BUILD_ROOT%_infodir
cp slib.info $RPM_BUILD_ROOT%_infodir


mkdir -p $RPM_BUILD_ROOT%_datadir/guile
ln -sf ../slib $RPM_BUILD_ROOT%_datadir/guile/%name
guile -c "(set! %%load-path (cons \"$RPM_BUILD_ROOT%_datadir/guile\" %%load-path)) (load \"$RPM_BUILD_ROOT%_datadir/guile/%name/guile.init\") (use-modules (ice-9 slib)) (require 'new-catalog)"
sed -e"s,$RPM_BUILD_ROOT,,;s,\*slib-version\*,*SLIB-VERSION*," \
	$RPM_BUILD_ROOT%_datadir/guile/slibcat \
	> $RPM_BUILD_ROOT%_datadir/guile/slibcat.tmp
mv $RPM_BUILD_ROOT%_datadir/guile/slibcat.tmp $RPM_BUILD_ROOT%_datadir/guile/slibcat


mkdir -p $RPM_BUILD_ROOT%_libdir/plt2/collects
ln -sf %_libdir/plt2/collects/slibinit $RPM_BUILD_ROOT%_libdir/plt2/collects/slibinit
ln -sf %_libdir/plt2/collects/mzlib $RPM_BUILD_ROOT%_libdir/plt2/collects/mzlib
ln -sf ../../../share/slib $RPM_BUILD_ROOT%_libdir/plt2/collects/%name
SCHEME_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir/plt2/collects/%name/ \
PLTHOME=$RPM_BUILD_ROOT%_libdir/plt2 \
	mzscheme-2 -e "(require (lib \"load.ss\" \"slibinit\"))" -e "(require 'new-catalog)" -e "(exit)"
sed -e"s,$RPM_BUILD_ROOT,,;s,\*slib-version\*,*SLIB-VERSION*," \
	$RPM_BUILD_ROOT%_libdir/plt2/slibcat \
	> $RPM_BUILD_ROOT%_libdir/plt2/slibcat.tmp
mv $RPM_BUILD_ROOT%_libdir/plt2/slibcat.tmp $RPM_BUILD_ROOT%_libdir/plt2/slibcat


#mkdir -p $RPM_BUILD_ROOT%_libdir/plt1/collects
#ln -sf %_libdir/plt1/collects/slibinit $RPM_BUILD_ROOT%_libdir/plt1/collects/slibinit
#ln -sf %_libdir/plt1/collects/mzlib $RPM_BUILD_ROOT%_libdir/plt1/collects/mzlib
#ln -sf %_libdir/plt1/bin $RPM_BUILD_ROOT%_libdir/plt1/bin
#ln -sf %_libdir/plt1/.bin $RPM_BUILD_ROOT%_libdir/plt1/.bin
#ln -sf ../../../share/slib $RPM_BUILD_ROOT%_libdir/plt1/collects/%name
#SCHEME_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir/plt1/collects/%name/ \
#PLTHOME=$RPM_BUILD_ROOT%_libdir/plt1 \
#	strace -o ~/log mzscheme-1 -e "(require-library \"init.ss\" \"slibinit\")" -e "(require 'new-catalog)" -e "(exit)"
#sed -e"s,$RPM_BUILD_ROOT,,;s,\*slib-version\*,*SLIB-VERSION*," \
#	$RPM_BUILD_ROOT%_libdir/plt1/slibcat \
#	> $RPM_BUILD_ROOT%_libdir/plt1/slibcat.tmp
#mv $RPM_BUILD_ROOT%_libdir/plt1/slibcat.tmp $RPM_BUILD_ROOT%_libdir/plt1/slibcat

%post
%install_info slib.info

# Rebuild catalogs for as many implementations as possible.
#export PATH=$PATH:/usr/local/bin
#echo PATH=${PATH}
#cd %{prefix}/slib/
#make catalogs
# Make color-name databases.
#make clrnamdb

%preun
[ $1 = 0 ] || exit 0
%uninstall_info slib.info
#cd %{prefix}/slib/
#rm -f clrnamdb.scm srcdir.mk slib.image

%files
%doc ANNOUNCE README COPYING FAQ ChangeLog
%dir %_datadir/%name
%_datadir/%name/*.scm
%_datadir/%name/*.init
%_datadir/%name/cie1931.xyz
%_datadir/%name/cie1964.xyz
%_datadir/%name/saturate.txt
%_datadir/%name/resenecolours.txt
%_infodir/*.info*

%files guile
%_datadir/guile/%name
%_datadir/guile/slibcat

%files plt2
%_libdir/plt2/collects/%name
%_libdir/plt2/slibcat

#%files plt1
#%_libdir/plt2/collects/%name
#%_libdir/plt2/slibcat

%changelog
* Sun Sep 28 2003 Alexey Voinov <voins@voins.program.ru> 2d6-alt1
- ported to ALT Linux

* Wed Mar 14 2001 Radey Shouman <shouman@ne.mediaone.net>
- Adapted from the spec file of R. J. Meier.

* Mon Jul 12 2000 Dr. Robert J. Meier <robert.meier@computer.org> 0.9.4-1suse
- Packaged for SuSE 6.3

* Sun May 30 2000 Aubrey Jaffer <agj@Alum.mit.edu>
- Updated content
